Skip to main content
GET
/
contacts
List Contacts
curl --request GET \
  --url https://api.meow.com/v1/contacts \
  --header 'x-api-key: <api-key>'
{
  "contacts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "nickname": "<string>",
      "payment_methods": {
        "ach": {
          "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name_on_account": "<string>",
          "nickname": "<string>",
          "account_type": "checking",
          "account_number": "<string>",
          "routing_number": "<string>",
          "address_on_account": {
            "street_line_1": "<string>",
            "city": "<string>",
            "country": "AW",
            "postal_code": "<string>",
            "street_line_2": "<string>",
            "state": "<string>"
          }
        },
        "wire": {
          "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name_on_account": "<string>",
          "nickname": "<string>",
          "bank_name": "<string>",
          "account_number": "<string>",
          "routing_number": "<string>",
          "beneficiary_address": {
            "street_line_1": "<string>",
            "city": "<string>",
            "country": "AW",
            "postal_code": "<string>",
            "street_line_2": "<string>",
            "state": "<string>"
          },
          "bank_address": {
            "street_line_1": "<string>",
            "city": "<string>",
            "country": "AW",
            "postal_code": "<string>",
            "street_line_2": "<string>",
            "state": "<string>"
          },
          "intermediary_bank": {
            "name": "<string>",
            "routing_number": "<string>",
            "address": {
              "street_line_1": "<string>",
              "city": "<string>",
              "country": "AW",
              "postal_code": "<string>",
              "street_line_2": "<string>",
              "state": "<string>"
            }
          }
        },
        "check": {
          "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name_on_account": "<string>",
          "nickname": "<string>",
          "mailing_address": {
            "street_line_1": "<string>",
            "city": "<string>",
            "country": "AW",
            "postal_code": "<string>",
            "street_line_2": "<string>",
            "state": "<string>"
          }
        },
        "international": {
          "beneficiary_id": "<string>",
          "preferred_currency": "AED"
        },
        "crypto": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "destination_address": "<string>",
            "destination_payment_rail": "arbitrum",
            "destination_currency": "usdb"
          }
        ],
        "static_memos": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "destination_address": "<string>",
            "destination_payment_rail": "arbitrum",
            "destination_payment_currency": "usdb"
          }
        ]
      },
      "supported_payment_methods": [
        "ach"
      ],
      "email": "jsmith@example.com",
      "address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "last_payment_reason": "audio_visual_services"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Query Parameters

nickname_query
string | null

Optional filter to search contacts by nickname

Response

Successful Response

contacts
CustomerApiContact · object[]
required

List of contacts